org.apache.tinkerpop.gremlin.driver

## Class Client.ReboundClusteredClient

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.Client
  - - org.apache.tinkerpop.gremlin.driver.Client.ReboundClusteredClient

- Direct Known Subclasses:
    Client.AliasClusteredClient
  Enclosing class:
    Client

  Deprecated.
  As of release 3.1.1-incubating, replaced by `Client.AliasClusteredClient`.

      @Deprecated
      public static class Client.ReboundClusteredClient
      extends Client

  Uses a `Client.ClusteredClient` that rebinds requests to a specified `Graph` or `TraversalSource` instances on the server-side.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.driver.Client

      `Client.AliasClusteredClient, Client.ClusteredClient, Client.ReboundClusteredClient, Client.SessionedClient, Client.SessionSettings, Client.Settings`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.Client

      `cluster, initialized, settings`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Client` | `alias(Map<String,String> aliases)` Deprecated. Creates a `Client` that supplies the specified set of aliases, thus allowing the user to re-name one or more globally defined `Graph` or `TraversalSource` server bindings for the context of the created `Client`.
    `org.apache.tinkerpop.gremlin.driver.message.RequestMessage.Builder` | `buildMessage(org.apache.tinkerpop.gremlin.driver.message.RequestMessage.Builder builder)` Deprecated. Makes any final changes to the builder and returns the constructed `RequestMessage`.
    `protected org.apache.tinkerpop.gremlin.driver.Connection` | `chooseConnection(org.apache.tinkerpop.gremlin.driver.message.RequestMessage msg)` Deprecated. Delegates to the underlying `Client.ClusteredClient`.
    `CompletableFuture<Void>` | `closeAsync()` Deprecated. Prevents messages from being sent from this `Client`.
    `Client` | `init()` Deprecated. Initializes the client which typically means that a connection is established to the server.
    `protected void` | `initializeImplementation()` Deprecated. Called in the `Client.init()` method.
    `boolean` | `isClosing()` Deprecated.
    `Client` | `rebind(String graphOrTraversalSource)` Deprecated.
    `CompletableFuture<ResultSet>` | `submitAsync(Bytecode bytecode)` Deprecated. An asynchronous version of `Client.submit(Traversal)`.
    `CompletableFuture<ResultSet>` | `submitAsync(org.apache.tinkerpop.gremlin.driver.message.RequestMessage msg)` Deprecated. A low-level method that allows the submission of a manually constructed `RequestMessage`.
    `CompletableFuture<ResultSet>` | `submitAsync(Traversal traversal)` Deprecated. An asynchronous version of `Client.submit(Traversal)`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.Client

      `alias, close, getCluster, getSettings, makeDefaultAliasMap, rebind, submit, submit, submit, submit, submitAsync, submitAsync, submitAsync, submitAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### submitAsync

          public CompletableFuture<ResultSet> submitAsync(Bytecode bytecode)

      Deprecated.
      Description copied from class: `Client`
      An asynchronous version of `Client.submit(Traversal)`. Results are returned as `Traverser` instances and are therefore bulked, meaning that to properly iterate the contents of the result each `Traverser.bulk()` must be examined to determine the number of times that object should be presented in iteration.
      Overrides:
        `submitAsync` in class `Client`

    - #### submitAsync

          public CompletableFuture<ResultSet> submitAsync(org.apache.tinkerpop.gremlin.driver.message.RequestMessage msg)

      Deprecated.
      Description copied from class: `Client`
      A low-level method that allows the submission of a manually constructed `RequestMessage`.
      Overrides:
        `submitAsync` in class `Client`

    - #### submitAsync

          public CompletableFuture<ResultSet> submitAsync(Traversal traversal)

      Deprecated.
      Description copied from class: `Client`
      An asynchronous version of `Client.submit(Traversal)`. Results are returned as `Traverser` instances and are therefore bulked, meaning that to properly iterate the contents of the result each `Traverser.bulk()` must be examined to determine the number of times that object should be presented in iteration.
      Overrides:
        `submitAsync` in class `Client`

    - #### init

          public Client init()

      Deprecated.
      Description copied from class: `Client`
      Initializes the client which typically means that a connection is established to the server. Depending on the implementation and configuration this blocking call may take some time. This method will be called automatically if it is not called directly and multiple calls will not have effect.
      Overrides:
        `init` in class `Client`

    - #### buildMessage

          public org.apache.tinkerpop.gremlin.driver.message.RequestMessage.Builder buildMessage(org.apache.tinkerpop.gremlin.driver.message.RequestMessage.Builder builder)

      Deprecated.
      Description copied from class: `Client`
      Makes any final changes to the builder and returns the constructed `RequestMessage`. Implementers may choose to override this message to append data to the request before sending. By default, this method will simply return the `builder` passed in by the caller.
      Overrides:
        `buildMessage` in class `Client`

    - #### initializeImplementation

          protected void initializeImplementation()

      Deprecated.
      Description copied from class: `Client`
      Called in the `Client.init()` method.
      Specified by:
        `initializeImplementation` in class `Client`

    - #### chooseConnection

          protected org.apache.tinkerpop.gremlin.driver.Connection chooseConnection(org.apache.tinkerpop.gremlin.driver.message.RequestMessage msg)
                                                                             throws TimeoutException,
                                                                                    org.apache.tinkerpop.gremlin.driver.exception.ConnectionException

      Deprecated.
      Delegates to the underlying `Client.ClusteredClient`.
      Specified by:
        `chooseConnection` in class `Client`
      Throws:
        `TimeoutException`
        `org.apache.tinkerpop.gremlin.driver.exception.ConnectionException`

    - #### closeAsync

          public CompletableFuture<Void> closeAsync()

      Deprecated.
      Prevents messages from being sent from this `Client`. Note that calling this method does not call close on the `Client` that created it.
      Specified by:
        `closeAsync` in class `Client`

    - #### isClosing

          public boolean isClosing()

      Deprecated.
      Specified by:
        `isClosing` in class `Client`

    - #### rebind

          @Deprecated
          public Client rebind(String graphOrTraversalSource)

      Deprecated.
      Create a new `Client` that aliases the specified `Graph` or `TraversalSource` name on the server to a variable called "g" for the context of the requests made through that `Client`.
      Overrides:
        `rebind` in class `Client`
      Parameters:
        `graphOrTraversalSource` - rebinds the specified global Gremlin Server variable to "g"

    - #### alias

          public Client alias(Map<String,String> aliases)

      Deprecated.
      Creates a `Client` that supplies the specified set of aliases, thus allowing the user to re-name one or more globally defined `Graph` or `TraversalSource` server bindings for the context of the created `Client`.
      Overrides:
        `alias` in class `Client`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.